Bug 178383 - PATCH: allegro default cfg should use timidy wavetable patches
PATCH: allegro default cfg should use timidy wavetable patches
Product: Fedora
Classification: Fedora
Component: allegro (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-01-19 17:36 EST by Hans de Goede
Modified: 2013-07-02 19:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-25 05:58:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
allegrorc patch (251 bytes, patch)
2006-01-19 17:36 EST, Hans de Goede
no flags Details | Diff

  None (edit)
Description Hans de Goede 2006-01-19 17:36:26 EST
Most allegro apps use the following code to initialise sound:

This however currently will fail on most motherboards with the FE-devel-CVS
allegro since most motherboards don't have a real midi chip these days (only
digital/wave out) and thus allegro tries to use the buildin softwavetable synth,
this however needs a patchset to work. Most apps now thus don't have sound
because they disable sound if this call fails.

By adding patches = /usr/share/timidity/timidity.cfg, and requiering timidity++,
which provides this files and the patches referenced therein, this problem can
be fixed. I've attached a patch against the default allegrorc with this fix.
Comment 1 Hans de Goede 2006-01-19 17:36:26 EST
Created attachment 123460 [details]
allegrorc patch
Comment 2 Jindrich Novy 2006-01-24 07:37:20 EST

I tested it with allegro-4.2.0-4 on my rawhide box as well as with allegro-4.0.3
on my FC4 box.

I tried it with the following source:

#include <allegro.h>

int main() {

        return 0;

and everything works as expected, so no error message is reported by
install_sound on my i386 (Intel chipset).

What is the error you see?
Comment 3 Hans de Goede 2006-01-25 01:20:28 EST
that shoud read:

if (install_sound (DIGI_AUTODETECT, MIDI_AUTODETECT, NULL) == -1)
   printf("error: %s\n", allegro_error);

Then I got an error that it couldnot find a suitable midi device or something
similar. I found out that it had soft wavetable support by doing a strace and
seeing that it couldnot open default.cfg (the default patches config name).
Comment 4 Jindrich Novy 2006-01-25 05:07:05 EST
Ok. Sounds good to me. Sound initialization shows the error on my system as
well. alegrorc is now updated, thanks.
Comment 5 Hans de Goede 2006-01-25 05:24:42 EST
Thanks, the timidity++ Requires should be a normal Require not a BuildRequire,
the timidity patches get used runtime.
Comment 6 Jindrich Novy 2006-01-25 05:58:02 EST
allegro-4.2.0-5 is now built. I'll fix the timidity dependency in the next build.

Note You need to log in before you can comment on or make changes to this bug.